
CREATE TABLE DATA_SOURCE (
   DATA_SOURCE_ID NUMBER(18) NOT NULL,
   -- ID VARCHAR(50) NULL, Doubled checked and doesn't appear to be a need for an ID.
   DATA_URL nvarchar2(500) NOT NULL,
   WSDL_URL nvarchar2(500) NULL,
   WADL_URL nvarchar2(500) NULL,
   IS_SIMPLE NUMBER(1) NOT NULL,
   IS_REST NUMBER(1) NOT NULL,
   IS_WS NUMBER(1) NOT NULL,
   PRIMARY KEY(DATA_SOURCE_ID)
) 
;
